Bug 841047 - [as7-plugin] Managed servers are not discovered when default host name attribute is used
[as7-plugin] Managed servers are not discovered when default host name attrib...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
All All
medium Severity high (vote)
: ---
: RHQ 4.5.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin 841048
  Show dependency treegraph
 
Reported: 2012-07-17 20:55 EDT by Larry O'Leary
Modified: 2013-09-01 06:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 841048 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:10:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2012-07-17 20:55:30 EDT
Description of problem:
Managed servers do not get discovered when domain or host controller's unique identified/name is determined at runtime instead of being specified in the host.xml configuration file. The only thing logged in the agent is:

DEBUG [InventoryManager.discovery-1] (rhq.core.pc.inventory.InventoryManager)- Executing discovery for [Managed Server] Resources...
DEBUG [ResourceDiscoveryComponent.invoker.daemon-2] (rhq.modules.plugins.jbossas7.ASConnection)- Requested management resource not found: host=master
DEBUG [InventoryManager.discovery-1] (rhq.core.pc.inventory.InventoryManager)- Discovery for [Managed Server] resources completed in [55] ms


In this case, the plug-in is looking for a host named master even though the host configuration name is equal to $(hostname)

Version-Release number of selected component (if applicable):
RHQ 4.4.0.JON310GA

How reproducible:
Always

Steps to Reproduce:
1.  Install EAP 6 and prepare it for use with JON
2.  Edit domain/configuration/host.xml and remove the naem="master" attribute from the host element
3.  Start EAP using domain.sh
4.  Start JON system
5.  Add EAP 6 server to inventory
  
Actual results:
After discovery has been executed, no managed servers appear in inventory and the following messages appear in the agent log when debug is enabled:

DEBUG [InventoryManager.discovery-1] (rhq.core.pc.inventory.InventoryManager)- Executing discovery for [Managed Server] Resources...
DEBUG [ResourceDiscoveryComponent.invoker.daemon-2] (rhq.modules.plugins.jbossas7.ASConnection)- Requested management resource not found: host=master
DEBUG [InventoryManager.discovery-1] (rhq.core.pc.inventory.InventoryManager)- Discovery for [Managed Server] resources completed in [55] ms


Expected results:
The managed servers `server-one` and `server-two` should appear in inventory and the debug log should reflect that the new managed servers have been discovered and added.

Additional info:
AS7 does not require a name attribute for the host configuration in host.xml.

As of version 1.0[1] of the configuration schema release, this attribute is optional and if not provided will default to the runtime value of InetAddress.getLocalHost().getHostName(). As of schema version 1.3[2], this attribute is still optional but a different default value path is being taken.

[1]: https://github.com/jbossas/jboss-as/blob/master/build/src/main/resources/docs/schema/jboss-as-config_1_0.xsd#L78
[2]: https://github.com/jbossas/jboss-as/blob/master/build/src/main/resources/docs/schema/jboss-as-config_1_3.xsd#L87
Comment 1 Heiko W. Rupp 2012-08-07 12:23:41 EDT
master 2639e5094
Comment 2 Heiko W. Rupp 2013-09-01 06:10:09 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.